Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager
Interface RepositoryManager

All Superinterfaces
  Serializable

Deprecated As of 9.x, replaced by `ContentManagerFactory` and `IVirtualRepositoryManager`

    public interface RepositoryManager

extends Serializable

This class acts as a virtual repository to all configured repositories. It is the entry point to connect to and operate on the repositories. For each available Repository, a RepositorySession will be created and added to the returned array. A connection may also be attempted to a specific Repository in which case, the RepositorySession for that attempted connection will be added to the RepositorySession array and returned. The RepositoryManager may be cached (perhaps in the HttpSession). If this is the case, it is up to the client to keep RepositorySessions in sync with the user's connection and disconnections to Repositories.

Method Summary
`void` | `addSession(String repositoryName, RepositorySession session)` Deprecated As of 9.x, replaced by `ContentManagerFactory`
`RepositorySession[]` | `connect()` Deprecated As of 9.x, replaced by `ContentManagerFactory`
`RepositorySession` | `connect(String repositoryName)` Deprecated As of 9.x, replaced by `ContentManagerFactory`
`RepositorySession` | `connect(String repositoryName, String userName, String password)` Deprecated As of 9.x, replaced by `ContentManagerFactory`
`NodeOps` | `getNodeOps()` Deprecated As of 9.x, replaced by `ContentManagerFactory.getNodeManager()`
`ObjectClassOps` | `getObjectClassOps()` Deprecated As of 9.x, replaced by `ContentManagerFactory.getTypeManager()`
`RepositoryOps` | `getRepositoryOps()` Deprecated As of 9.x, replaced by `ContentManagerFactory.getVirtualRepositoryManager()`
`SearchOps` | `getSearchOps()` Deprecated As of 9.x, replaced by `ContentManagerFactory.getSearchManager()`
`RepositorySession[]` | `getSessions()` Deprecated As of 9.x, replaced by `ContentManagerFactory`
`WorkspaceOps` | `getWorkspaceOps()` Deprecated As of 9.x, replaced by `ContentManagerFactory.getNodeManager()`
`void` | `removeSession(String repositoryName)` Deprecated As of 9.x, replaced by `ContentManagerFactory`

Method Detail

### connect

    RepositorySession[] connect()
                                throws NoRepositoriesDefinedException,
                                       RepositoryException

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Attempts to connect to all availble Repositories with the current user's Credentials. A RepositorySession is created for each Repository and added to the returned array. Any error in connecting is described by the RepositorySession's state.

  Returns
    RepositorySession[] - an array of the RepositiorySessions, one for each Repository that a connection was attempted.
  Throws
    `NoRepositoriesDefinedException` - - if there isn't any Repository defined to connect to.
    `RepositoryException` - if an error occurs.

### connect

    RepositorySession connect(String repositoryName)

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Attempts to connect to a specific repository using the current user's credentials and returns the RepositorySession based on the attempt. Any error in connecting is described by the RepositorySession's state.

  Parameters
    `repositoryName` - the name of the Repository to connect to.

### connect

    RepositorySession connect(String repositoryName,
                              String userName,
                              String password)

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Attempts to connect to a specific repository and returns the RepositorySession based on the attempt. Any error in connecting is described by the RepositorySession's state.

  Parameters
    `repositoryName` - - the name of the Repository to connect to.
    `userName` - - the username to connect with.
    `password` - - the password to connect with.
  Returns
    RepositorySession - the session that contains the state of the connection attempt.

### getRepositoryOps

    RepositoryOps getRepositoryOps()

  Deprecated As of 9.x, replaced by `ContentManagerFactory.getVirtualRepositoryManager()`

  Gets a RepositoryOps service.

  Returns
    RepositoryOps - the RepositoryOps manager.

### getNodeOps

    NodeOps getNodeOps()

  Deprecated As of 9.x, replaced by `ContentManagerFactory.getNodeManager()`

  Gets a NodeOps service.

  Returns
    NodeOps - the NodeOps manager.

### getObjectClassOps

    ObjectClassOps getObjectClassOps()

  Deprecated As of 9.x, replaced by `ContentManagerFactory.getTypeManager()`

  Gets a ObjectClassOps service.

  Returns
    ObjectClassOps - the ObjectClassOps manager.

### getWorkspaceOps

    WorkspaceOps getWorkspaceOps()

  Deprecated As of 9.x, replaced by `ContentManagerFactory.getNodeManager()`

  Gets a WorkspaceOps service object

  Returns
    WorkspaceOps - the WorkspaceOps service.

### getSearchOps

    SearchOps getSearchOps()

  Deprecated As of 9.x, replaced by `ContentManagerFactory.getSearchManager()`

  Gets a SearchOps service.

  Returns
    SearchOps - the SearchOps manager.

### addSession

    void addSession(String repositoryName,
                    RepositorySession session)

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Adds a RepositorySession.

  Parameters
    `repositoryName` - - the name of the Repository to which the RepositorySession is for.
    `session` - - the RepositorySession for the the Repository.

### removeSession

    void removeSession(String repositoryName)

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Removes a RepositorySession

  Parameters
    `repositoryName` - - the name of the repository to remove the RepositorySession for.

### getSessions

    RepositorySession[] getSessions()

  Deprecated As of 9.x, replaced by `ContentManagerFactory`

  Gets the RepositorySessions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.